#include <bits/stdc++.h>
using namespace std;

int main(){
	ios_base::sync_with_stdio(false), cin.tie(nullptr);
	vector<int> A(3);
	for(int i = 0; i < 3; i++){
		cin >> A[i];
	}
	int sum = 0;
	for(int x : A) sum += x;
	int mx = 0;
	for(int i = 0; i < 3; i++){
		mx = max(mx, A[i]);
	}
	mx = max(mx, 1);
	if(mx > sum - mx){
		cout << "No" << '\n';
		exit(0);
	}
	vector<int> c(4);
	while(A[0] || A[1] || A[2]){
		if(A[0] == 1 && A[1] == 1 && A[2] == 1){
			c[3]++;
		} else {
			vector<int> ord(3);
			for(int i = 0; i < 3; i++) ord[i] = i;
			sort(ord.begin(), ord.end(), [&](int x, int y) { return A[x] > A[y]; });
			c[3-ord[0]-ord[1]]++;
			A[ord[0]]--; A[ord[1]]--;
		}
	}
	vector<string> ans(3);
	for(int x = 0; x < 3; x++){
		for(int j = 0; j < 3; j++){
			if(j != x) ans[j] += string(c[x], 'a' + x);
			ans[j] += string(mx, 'z' - x);
		}
	}
	for(int j = 0; j < 3; j++){
		ans[j] += string(c[3], char('k' + j));
	}
	cout << "Yes" << '\n';
	for(int j = 0; j < 3; j++){
		cout << ans[2-j] << '\n';
	}
}
